Please upgrade your browser for the best possible experience.

Chrome Firefox Internet Explorer
×

Can't purchase new obroan gear

SEANeD's Avatar


SEANeD
10.08.2013 , 06:57 PM | #1
Firstly, I am sure I can afford the pieces and I have the conqueror versions in my inventory. The pieces I can't buy are the force master bracers and force masters mk-1 implants. Whenever I try to buy them it says cannot afford and, even with just enough comms to buy the pieces, a message warning that I am about to exceed 4500 ranked comms pops up. Besides this my obroan relic that is suppose to proc mainstat doesn't proc inside warzones. It procs if i'm just randomly healing on fleet or if i'm hitting a training dummy, but never once in a wazrone/arena.
Seaney 55 Sorc Pot5
HAKUNA MATATA

Proud Disciple of Gogo'blixx

sqruee's Avatar


sqruee
10.09.2013 , 12:33 AM | #2
Quote: Originally Posted by SEANeD View Post
Firstly, I am sure I can afford the pieces and I have the conqueror versions in my inventory. The pieces I can't buy are the force master bracers and force masters mk-1 implants. Whenever I try to buy them it says cannot afford and, even with just enough comms to buy the pieces, a message warning that I am about to exceed 4500 ranked comms pops up. Besides this my obroan relic that is suppose to proc mainstat doesn't proc inside warzones. It procs if i'm just randomly healing on fleet or if i'm hitting a training dummy, but never once in a wazrone/arena.
I have the same issue. It seems to apply to all Obroan items since I have several pieces of Conqueror that I can afford to upgrade but the system says I can't afford it.
Sqruee - 60 Operative, The Bastion How to Concealment PvP

Quote: Originally Posted by BoskiCesiu View Post
All what I wrote is seriously.

SEANeD's Avatar


SEANeD
10.10.2013 , 08:27 PM | #3
I've made numerous tickets and they said that they aren't taking bug reports. I know of other players on other classes that have this problem. Can this at last make the known bug thread? Other tickets have already recognized this as a bug.
Seaney 55 Sorc Pot5
HAKUNA MATATA

Proud Disciple of Gogo'blixx

sqruee's Avatar


sqruee
10.12.2013 , 04:54 PM | #4
I've noticed that this issue appears to apply only to pieces of Conqueror armor purchased prior to 2.4. I purchased a new Conqueror implant and was able to buy the corresponding Obroan piece, but the bracer, belt and implants I bought prior to 2.4 aren't eligible for upgrade.
Sqruee - 60 Operative, The Bastion How to Concealment PvP

Quote: Originally Posted by BoskiCesiu View Post
All what I wrote is seriously.

SEANeD's Avatar


SEANeD
10.12.2013 , 05:09 PM | #5
Quote: Originally Posted by sqruee View Post
I've noticed that this issue appears to apply only to pieces of Conqueror armor purchased prior to 2.4. I purchased a new Conqueror implant and was able to buy the corresponding Obroan piece, but the bracer, belt and implants I bought prior to 2.4 aren't eligible for upgrade.
I'll have to give that a try. Thanks
Seaney 55 Sorc Pot5
HAKUNA MATATA

Proud Disciple of Gogo'blixx

SEANeD's Avatar


SEANeD
10.14.2013 , 02:51 PM | #6
Quote: Originally Posted by sqruee View Post
I've noticed that this issue appears to apply only to pieces of Conqueror armor purchased prior to 2.4. I purchased a new Conqueror implant and was able to buy the corresponding Obroan piece, but the bracer, belt and implants I bought prior to 2.4 aren't eligible for upgrade.
I repurchased the conqueror bracers and sold my old one and it still didn't work. I guess I can try for the implant.
Seaney 55 Sorc Pot5
HAKUNA MATATA

Proud Disciple of Gogo'blixx

SEANeD's Avatar


SEANeD
10.16.2013 , 02:38 PM | #7
My guildie's solution to this was using the original piece. So if you bought 4 bracers for the high power mods, you have to use the original. It won't take the latter ones.
Seaney 55 Sorc Pot5
HAKUNA MATATA

Proud Disciple of Gogo'blixx